Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Classes | Namespaces | Functions
Stream.h File Reference

Libargus API: Stream API More...

Go to the source code of this file.

## Classes
class | Argus::OutputStream
class | Argus::OutputStreamSettings
class | Argus::IOutputStreamSettings
| Interface that exposes the settings common to all OutputStream types. More...

## Namespaces
namespace | Argus

## Functions
| Argus::DEFINE_NAMED_UUID_CLASS (StreamType)
| The general operation, buffer source, and interfaces supported by a stream object are defined by its core StreamType.
| Argus::DEFINE_UUID (InterfaceID, IID_OUTPUT_STREAM_SETTINGS, 52f2b830, 3d52, 11e6, bdf4, 08, 00, 20, 0c, 9a, 66)

## Detailed Description

Libargus API: Stream API

Description: Defines stream related objects and interfaces.

Definition in file Stream.h.